<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_9410d17985408ab6a2962e6fdb6" . "21c5e" => base64_decode("ZG9jdW1lbnRzLm5hbW" . "VwYXR0ZXJudGFnLnZl" . "cg=="), "_5fde92609a43c916046227" . "8aec060406" => base64_decode("Y29tbW9uLnVua25" . "vd24="), "_eb56828483919e17" . "3c6ab772a8fa7d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1lbn" . "Q="), "_86e12158655092a9838a837f6cf6d" . "639" => base64_decode("Li4vY29tbW9uL2VybXNfcGtnLnBocA" . "=="), "_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1z" . "Zw=="), "_7ee25317ffedb4fe" . "27bf0b5036469b94" => base64_decode("Y29tbW9uLnR" . "5cGUuZm9sZG" . "Vy"));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_86e12158655092a983" . "8a837f6cf6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_86e12158655092a9838a837f6c" . "f6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7ee25317ffedb4fe27bf0b5" . "036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_eb56828483919e173c6" . "ab772a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_9410d17985408ab6a2962e" . "6fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_5fde92609a43c9160462278aec060" . "406"]);
    }
}